# BungeeRegisteredCommand (ACF (Bungee) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: BungeeRegisteredCommand

Package co.aikar.commands

# Class BungeeRegisteredCommand

java.lang.Object
co.aikar.commands.RegisteredCommand<BungeeCommandExecutionContext>
co.aikar.commands.BungeeRegisteredCommand

public class BungeeRegisteredCommand extends co.aikar.commands.RegisteredCommand<BungeeCommandExecutionContext>

## Field Summary

### Fields inherited from class co.aikar.commands.RegisteredCommand

`helpSearchTags`

## Method Summary

Modifier and Type
Method
Description
`void`
`postCommand()`
`void`
`preCommand()`

### Methods inherited from class co.aikar.commands.RegisteredCommand

`addSubcommand, addSubcommands, getAnnotation, getCommand, getHelpText, getPermission, getPrefSubCommand, getRequiredPermissions, getSyntaxText, getSyntaxText, isPrivate, requiresPermission`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### preCommand

public void preCommand()

Overrides:
  `preCommand` in class `co.aikar.commands.RegisteredCommand<BungeeCommandExecutionContext>`

### postCommand

public void postCommand()

Overrides:
  `postCommand` in class `co.aikar.commands.RegisteredCommand<BungeeCommandExecutionContext>`